Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfFontFamilyGenericComplexType

    java.lang.Object
      java.lang.Enum<OdfFontFamilyGenericComplexType>
          org.odftoolkit.odfdom.dom.type.style.OdfFontFamilyGenericComplexType

All Implemented Interfaces:
  Serializable, Comparable<OdfFontFamilyGenericComplexType>

    public enum OdfFontFamilyGenericComplexType

extends Enum<OdfFontFamilyGenericComplexType>

DOM implementation of OpenDocument attribute style:font-family-generic-complex.

Enum Constant Summary
`DECORATIVE`
`MODERN`
`ROMAN`
`SCRIPT`
`SWISS`
`SYSTEM`

Method Summary
`static OdfFontFamilyGenericComplexType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFontFamilyGenericComplexType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFontFamilyGenericComplexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFontFamilyGenericComplexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SCRIPT

    public static final OdfFontFamilyGenericComplexType SCRIPT

### ROMAN

    public static final OdfFontFamilyGenericComplexType ROMAN

### DECORATIVE

    public static final OdfFontFamilyGenericComplexType DECORATIVE

### SYSTEM

    public static final OdfFontFamilyGenericComplexType SYSTEM

### MODERN

    public static final OdfFontFamilyGenericComplexType MODERN

### SWISS

    public static final OdfFontFamilyGenericComplexType SWISS

Method Detail

### values

    public static OdfFontFamilyGenericComplexType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFontFamilyGenericComplexType c : OdfFontFamilyGenericComplexType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFontFamilyGenericComplexType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFontFamilyGenericComplexType>`
  Returns:
    return the name of OdfFontFamilyGenericComplexType

### toString

    public static String toString(OdfFontFamilyGenericComplexType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFontFamilyGenericComplexType, see style:font-family-generic-complex
  Returns:
    return the name of OdfFontFamilyGenericComplexType

### enumValueOf

    public static OdfFontFamilyGenericComplexType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFontFamilyGenericComplexType
  Returns:
    return the constant of OdfFontFamilyGenericComplexType, see style:font-family-generic-complex

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.